function onBegin()
    if getFlag("badeline_meet_done") then
        return
    end
    disableMovement()
    walkTo(4950)
    say("AnEnormousSmileyFace_RestlessDays_badeline_gap")
    setFlag("hit_badeline", true)
    setFlag("badeline_meet_done", true)
    wait(2)
    say("AnEnormousSmileyFace_RestlessDays_badeline_letsgo")
    enableMovement()
end

function onEnd()
    enableMovement()
    if (not getFlag("badeline_meet_done")) then
        setFlag("badeline_meet_done", true)
        setFlag("hit_badeline", true)
    end
end